Davinci Commerce API Documentation
v1.0
GenAI & Template Generation
Page
Code Steps
Category
Label
Link
Separator
Title
Message
Page icon
No icon. This page keeps the plain index row.
orSVG or PNG, square, at least 32×32.
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Ad-Servers
AI Tools
Summarize Page
Copy Markdown
Open in ChatGPT
Open in Claude
Connect to Cursor
Connect to VS Code
Davinci Commerce Programmable Personalization API exposes the lists and details of Ad-Server used by the platform, that is required to generate tags for a given campaign.
Methods
Action | Method Type | Description |
|---|---|---|
List All Ad-Servers | GET | Returns list of all ad-servers for given ad-server ID. |
Get Ad-Server Details | GET | Returns details of ad-server for given ad-server ID. |
List All Ad-Servers
Parameters
The List All Ad-Servers method does not require any path or query parameters.
Sample Request
GET http://demo.stub.api.jivox.com/v2/ad-servers/
Sample Response
{
"adServers": [
{
"id": "aol",
"name": "AOL"
},
{
"id": "Appnexus",
"name": "AppNexus"
},
. . .
],
"previous": "",
"next": ""
}
Get Ad-Server Details
Parameters
Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
adServerId | string | Mandatory | path | ID of the Ad Server for which the details are being fetched. |
Sample Request
GET http://demo.stub.api.jivox.com/v2/ad- servers/Appnexus
Sample Response
{
"id": "Appnexus",
"name": "AppNexus",
"macros": [
{
"name": "Advertiser Coder",
"value": "${ADV_CODE}"
},
{
"name": "User Age",
"value": "${AGE}"
},
. . .
],
"options": [
{
"id":
"adUnit",
"name": "Ad Unit"
},
{
"id": "adUnitDimension",
"name": "Ad Unit Dimension"
},
. . .
]
}
Sample Workflow
A sample workflow using Programmable Personalization API methods:

Last updated on
Was this page helpful?
Next to read:
Bulk Tagnull
Discard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message